"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Accordion/AccordionBody.tsx
var AccordionBody_exports = {};
__export(AccordionBody_exports, {
  AccordionBody: () => AccordionBody
});
module.exports = __toCommonJS(AccordionBody_exports);
var import_react = __toESM(require("react"), 1);
var import_classnames = __toESM(require("classnames"), 1);
var import_react_transition_group = require("react-transition-group");

// src/utils.tsx
function pick(obj, keys) {
  const keysArray = Array.isArray(keys) ? keys : [keys];
  const newObj = {};
  for (const key of keysArray) {
    if (key in obj) {
      newObj[key] = obj[key];
    }
  }
  return newObj;
}
function omit(obj, keys) {
  const keysLookup = new Set(Array.isArray(keys) ? keys : [keys]);
  const newObj = {};
  for (const key in obj) {
    if (!keysLookup.has(key)) {
      newObj[key] = obj[key];
    }
  }
  return newObj;
}

// src/transitions.ts
var TransitionTimeouts = {
  // $transition-fade
  Fade: 150,
  // $transition-collapse
  Collapse: 350,
  // $modal-transition
  Modal: 300,
  // $carousel-transition
  Carousel: 600
};
var TransitionsKeys = [
  "in",
  "mountOnEnter",
  "unmountOnExit",
  "appear",
  "enter",
  "exit",
  "timeout",
  "onEnter",
  "onEntering",
  "onEntered",
  "onExit",
  "onExiting",
  "onExited"
];

// src/Accordion/AccordionBody.tsx
var transitionStatusToClassHash = {
  entering: "collapsing",
  entered: "collapse show",
  exiting: "collapsing",
  exited: "collapse"
};
function getTransitionClass(status) {
  return transitionStatusToClassHash[status] || "collapse";
}
function getHeight(node) {
  return node.scrollHeight;
}
var AccordionBody = ({
  className,
  listClassName,
  tag = "div",
  active = false,
  children,
  timeout = TransitionTimeouts.Collapse,
  ...attributes
}) => {
  const [height, setHeight] = (0, import_react.useState)(null);
  const onEntering = (0, import_react.useCallback)(
    (node, isAppearing) => {
      setHeight(getHeight(node));
      attributes.onEntering?.(node, isAppearing);
    },
    [attributes.onEntering]
  );
  const onEntered = (0, import_react.useCallback)(
    (node, isAppearing) => {
      setHeight(null);
      attributes.onEntered?.(node, isAppearing);
    },
    [attributes.onEntered]
  );
  const onExit = (0, import_react.useCallback)(
    (node) => {
      setHeight(getHeight(node));
      attributes.onExit?.(node);
    },
    [attributes.onExit]
  );
  const onExiting = (0, import_react.useCallback)(
    (node) => {
      const _unused = node.offsetHeight;
      setHeight(0);
      attributes.onExiting?.(node);
    },
    [attributes.onExiting]
  );
  const onExited = (0, import_react.useCallback)(
    (node) => {
      setHeight(null);
      attributes.onExited?.(node);
    },
    [attributes.onExited]
  );
  const Tag = tag;
  const transitionProps = pick(attributes, TransitionsKeys);
  const childProps = omit(attributes, TransitionsKeys);
  return /* @__PURE__ */ import_react.default.createElement(
    import_react_transition_group.Transition,
    {
      ...transitionProps,
      timeout,
      in: active,
      onEntering,
      onEntered,
      onExit,
      onExiting,
      onExited
    },
    (status) => {
      const transitionClass = getTransitionClass(status);
      const classes = (0, import_classnames.default)(className, transitionClass);
      const listClasses = (0, import_classnames.default)(listClassName, "accordion-body");
      const style = height == null ? null : { height };
      return /* @__PURE__ */ import_react.default.createElement(Tag, { className: classes, style: { ...childProps.style, ...style }, ...childProps }, /* @__PURE__ */ import_react.default.createElement("div", { className: listClasses }, children));
    }
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  AccordionBody
});
//# sourceMappingURL=AccordionBody.cjs.map