"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Collapse/Collapse.tsx
var Collapse_exports = {};
__export(Collapse_exports, {
  Collapse: () => Collapse
});
module.exports = __toCommonJS(Collapse_exports);
var import_react = __toESM(require("react"), 1);
var import_classnames = __toESM(require("classnames"), 1);
var import_reactstrap = require("reactstrap");
var Collapse = ({
  header = false,
  className,
  navbar,
  megamenu,
  children,
  isOpen = false,
  onOverlayClick,
  cssModule,
  testId,
  ...attributes
}) => {
  const newCssModule = {
    "navbar-collapse": "navbar-collapsable",
    ...cssModule
  };
  if (megamenu || navbar || header) {
    const classes2 = (0, import_classnames.default)(className, "navbar-collapse", {
      expanded: isOpen
    });
    const style = { display: isOpen ? "block" : "none" };
    return /* @__PURE__ */ import_react.default.createElement(
      import_reactstrap.Collapse,
      {
        className: classes2,
        cssModule: newCssModule,
        navbar,
        style,
        "data-testid": testId,
        ...attributes
      },
      /* @__PURE__ */ import_react.default.createElement("div", { className: "overlay", style, onClick: onOverlayClick }),
      /* @__PURE__ */ import_react.default.createElement("div", { className: "close-div visually-hidden" }, /* @__PURE__ */ import_react.default.createElement("button", { className: "btn close-menu", type: "button" }, /* @__PURE__ */ import_react.default.createElement("span", { className: "it-close" }), "close")),
      megamenu ? /* @__PURE__ */ import_react.default.createElement("div", { className: "menu-wrapper" }, children) : /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, children)
    );
  }
  const classes = (0, import_classnames.default)(className, {
    "link-list-wrapper": header
  });
  return /* @__PURE__ */ import_react.default.createElement(
    import_reactstrap.Collapse,
    {
      className: classes,
      cssModule: newCssModule,
      ...attributes,
      navbar,
      isOpen,
      "data-testid": testId
    },
    children
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Collapse
});
//# sourceMappingURL=Collapse.cjs.map