import React, { useEffect, useRef } from 'react';
import classNames from 'classnames';
import { Dropdown } from 'bootstrap-italia';
import { Icon } from '../Icon/Icon';
import { Button } from '../Button/Button';
export const DropdownToggle = ({ className, testId, children, caret, tag = 'button', inNavbar, color, ...attributes }) => {
    const toggleRef = useRef(null);
    const Tag = tag === 'a' || inNavbar ? 'a' : Button;
    useEffect(() => {
        if (toggleRef.current && typeof window !== 'undefined' && typeof document !== 'undefined') {
            new Dropdown(toggleRef.current);
        }
    });
    const classes = classNames(className, {
        'btn-dropdown': Tag === 'a' && !inNavbar,
        'dropdown-toggle': true,
        'nav-link': inNavbar
    });
    const iconClasses = classNames({
        'icon-expand': true,
        'icon-sm': !inNavbar,
        'icon-xs': inNavbar,
        'ms-1': inNavbar,
        'icon-light': Tag.valueOf() !== 'a' ? true : false
    });
    return (React.createElement(Tag, { role: Tag.valueOf() === 'a' ? 'button' : undefined, color: color, ref: toggleRef, className: classes, "data-bs-toggle": 'dropdown', "aria-haspopup": 'true', "data-testid": testId, ...attributes },
        children,
        caret === true ? React.createElement(Icon, { icon: 'it-expand', className: iconClasses }) : null));
};
//# sourceMappingURL=DropdownToggle.js.map