"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Hero/index.ts
var Hero_exports = {};
__export(Hero_exports, {
  Hero: () => Hero,
  HeroBackground: () => HeroBackground,
  HeroBody: () => HeroBody,
  HeroButton: () => HeroButton,
  HeroCategory: () => HeroCategory,
  HeroTitle: () => HeroTitle
});
module.exports = __toCommonJS(Hero_exports);

// src/Hero/Hero.tsx
var import_react = __toESM(require("react"), 1);
var import_classnames = __toESM(require("classnames"), 1);
var Hero = ({
  tag: Tag = "div",
  small,
  centered,
  overlay,
  overlap,
  className,
  testId,
  ...attributes
}) => {
  const classes = (0, import_classnames.default)("it-hero-wrapper", className, {
    "it-overlay": overlay,
    ["it-" + overlay]: overlay,
    "it-hero-small-size": small,
    "it-text-centered": centered,
    "it-bottom-overlapping-content": overlap
  });
  return /* @__PURE__ */ import_react.default.createElement(Tag, { className: classes, ...attributes, "data-testid": testId });
};

// src/Hero/HeroBackground.tsx
var import_react2 = __toESM(require("react"), 1);
var HeroBackground = ({ alt, testId, ...attributes }) => {
  return /* @__PURE__ */ import_react2.default.createElement("div", { className: "img-responsive-wrapper", "data-testid": testId }, /* @__PURE__ */ import_react2.default.createElement("div", { className: "img-responsive" }, /* @__PURE__ */ import_react2.default.createElement("div", { className: "img-wrapper" }, /* @__PURE__ */ import_react2.default.createElement("img", { ...attributes, alt }))));
};

// src/Hero/HeroBody.tsx
var import_react3 = __toESM(require("react"), 1);
var import_classnames2 = __toESM(require("classnames"), 1);
var import_reactstrap = require("reactstrap");
var HeroBody = ({ children, className, testId }) => {
  const classes = (0, import_classnames2.default)("it-hero-text-wrapper", "bg-dark", className);
  return /* @__PURE__ */ import_react3.default.createElement(import_reactstrap.Container, null, /* @__PURE__ */ import_react3.default.createElement(import_reactstrap.Row, null, /* @__PURE__ */ import_react3.default.createElement(import_reactstrap.Col, null, /* @__PURE__ */ import_react3.default.createElement("div", { className: classes, "data-testid": testId }, children))));
};

// src/Hero/HeroButton.tsx
var import_react5 = __toESM(require("react"), 1);
var import_classnames4 = __toESM(require("classnames"), 1);

// src/Button/Button.tsx
var import_react4 = __toESM(require("react"), 1);
var import_classnames3 = __toESM(require("classnames"), 1);
var import_reactstrap2 = require("reactstrap");
var Button = ({
  tag = "button",
  icon = false,
  color = "",
  className,
  testId,
  ...attributes
}) => {
  const classes = (0, import_classnames3.default)(className, {
    "btn-icon": icon
  });
  const ariaAttributes = {
    ...attributes.disabled && { "aria-disabled": true }
  };
  const baseProps = { color, tag };
  return /* @__PURE__ */ import_react4.default.createElement(import_reactstrap2.Button, { className: classes, "data-testid": testId, ...baseProps, ...attributes, ...ariaAttributes });
};

// src/Hero/HeroButton.tsx
var HeroButton = ({ wrapperClassName, testId, ...attributes }) => {
  const classes = (0, import_classnames4.default)("it-btn-container", wrapperClassName);
  return /* @__PURE__ */ import_react5.default.createElement("div", { className: classes, "data-testid": testId }, /* @__PURE__ */ import_react5.default.createElement(Button, { size: "sm", ...attributes }));
};

// src/Hero/HeroCategory.tsx
var import_react6 = __toESM(require("react"), 1);
var import_classnames5 = __toESM(require("classnames"), 1);
var HeroCategory = ({ className, testId, ...attributes }) => {
  const classes = (0, import_classnames5.default)("it-category", className);
  return /* @__PURE__ */ import_react6.default.createElement("span", { ...attributes, className: classes, "data-testid": testId });
};

// src/Hero/HeroTitle.tsx
var import_react7 = __toESM(require("react"), 1);
var import_classnames6 = __toESM(require("classnames"), 1);
var HeroTitle = ({ tag: Tag = "h1", className, testId, ...attributes }) => {
  const classes = (0, import_classnames6.default)(className);
  return /* @__PURE__ */ import_react7.default.createElement(Tag, { ...attributes, className: classes, "data-testid": testId });
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Hero,
  HeroBackground,
  HeroBody,
  HeroButton,
  HeroCategory,
  HeroTitle
});
//# sourceMappingURL=index.cjs.map