"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Input/TextArea.tsx
var TextArea_exports = {};
__export(TextArea_exports, {
  TextArea: () => TextArea
});
module.exports = __toCommonJS(TextArea_exports);
var import_react3 = __toESM(require("react"), 1);

// src/Input/InputContainer.tsx
var import_react = __toESM(require("react"), 1);
var InputContainer = ({
  id,
  infoId,
  infoText,
  testId,
  activeClass,
  extraLabelClass,
  label,
  validationTextClass,
  validationText,
  wrapperClass,
  children
}) => {
  return /* @__PURE__ */ import_react.default.createElement("div", { className: wrapperClass, "data-testid": testId }, /* @__PURE__ */ import_react.default.createElement("label", { htmlFor: id, className: activeClass + " " + extraLabelClass }, label), children, infoText && /* @__PURE__ */ import_react.default.createElement("small", { id: infoId, className: "form-text" }, infoText), /* @__PURE__ */ import_react.default.createElement("div", { className: validationTextClass }, validationText));
};

// src/Input/utils.tsx
var import_classnames = __toESM(require("classnames"), 1);
var import_react2 = require("react");

// src/utils.tsx
function mapToCssModules(className, cssModules) {
  let finalClassNames = className == null ? "" : className;
  if (!cssModules) {
    return finalClassNames;
  }
  return finalClassNames.split(" ").map((klass) => cssModules[klass] ?? klass).join(" ");
}

// src/Input/utils.tsx
function getValidationTextControlClass({ valid }, cssModule) {
  return mapToCssModules(
    (0, import_classnames.default)({
      "form-text": true,
      "form-feedback just-validate-error-label": valid == false
    }),
    cssModule
  );
}
function getClasses(className, type, {
  isFocused,
  valid,
  bsSize,
  placeholder,
  value,
  label,
  validationText,
  normalized,
  inputPassword,
  formControlClass,
  validationTextControlClass,
  originalWrapperClass
}, cssModule) {
  const hasPlainCondition = placeholder || label || validationText;
  const baseCondition = hasPlainCondition && !normalized && !inputPassword;
  const passwordOnlyCondition = inputPassword && !hasPlainCondition && !normalized;
  const normalizedOnlyCondition = normalized && !hasPlainCondition && !inputPassword;
  const classes = mapToCssModules(
    (0, import_classnames.default)(
      className,
      {
        "is-invalid": valid == false,
        "just-validate-success-field": valid,
        [`form-control-${bsSize}`]: bsSize
      },
      formControlClass
    ),
    cssModule
  );
  const wrapperClass = mapToCssModules((0, import_classnames.default)(className, originalWrapperClass, "form-group"), cssModule);
  const validationTextClass = mapToCssModules(
    (0, import_classnames.default)(
      {
        "valid-feedback": valid,
        "invalid-feedback form-feedback just-validate-error-label": valid == false
      },
      validationTextControlClass
    ),
    cssModule
  );
  const inputClasses = mapToCssModules(
    (0, import_classnames.default)(
      classes,
      !baseCondition && {
        // we can model here only if stylings
        "form-control-plaintext": normalizedOnlyCondition,
        "form-control": passwordOnlyCondition,
        "input-password": passwordOnlyCondition,
        "focus--mouse": passwordOnlyCondition || normalizedOnlyCondition
      }
    ),
    cssModule
  );
  const activeClass = mapToCssModules(
    (0, import_classnames.default)({
      active: isFocused || placeholder || value || ["date", "time"].includes(type)
    }),
    cssModule
  );
  const extraLabelClass = mapToCssModules(
    (0, import_classnames.default)({
      "input-number-label": ["number", "currency", "adaptive", "percentage"].includes(type)
    })
  );
  return {
    wrapperClass,
    inputClasses,
    activeClass,
    extraLabelClass,
    validationTextClass
  };
}
function useFocus({
  onFocus,
  onBlur
}) {
  const [isFocused, setFocus] = (0, import_react2.useState)(false);
  const toggleFocusLabel = (0, import_react2.useCallback)(
    (e) => {
      setFocus(true);
      onFocus?.(e);
    },
    [onFocus]
  );
  const toggleBlurLabel = (0, import_react2.useCallback)(
    (e) => {
      if (e.target.value === "") {
        setFocus(!isFocused);
      }
      onBlur?.(e);
    },
    [isFocused, onBlur]
  );
  return { toggleFocusLabel, toggleBlurLabel, isFocused };
}

// src/Input/TextArea.tsx
var TextArea = ({
  id,
  className,
  cssModule,
  innerRef,
  label,
  validationText,
  infoText,
  placeholder,
  normalized,
  value,
  wrapperClassName: originalWrapperClass,
  valid,
  testId,
  ...attributes
}) => {
  const { toggleFocusLabel, toggleBlurLabel, isFocused } = useFocus({
    onFocus: attributes.onFocus,
    onBlur: attributes.onBlur
  });
  const validationTextControlClass = getValidationTextControlClass({ valid }, cssModule);
  const extraAttributes = {};
  const infoId = id ? `${id}Description` : void 0;
  if (id) {
    extraAttributes["aria-describedby"] = infoId;
  }
  const { activeClass, extraLabelClass, validationTextClass, inputClasses, wrapperClass } = getClasses(
    className,
    "textarea",
    {
      valid,
      placeholder,
      value,
      label,
      validationText,
      normalized: Boolean(normalized),
      validationTextControlClass,
      isFocused,
      originalWrapperClass
    },
    cssModule
  );
  const sharedAttributes = {
    id,
    onFocus: toggleFocusLabel,
    onBlur: toggleBlurLabel,
    value,
    ref: innerRef
  };
  const containerProps = {
    id,
    infoId,
    infoText,
    activeClass,
    extraLabelClass,
    label,
    validationTextClass,
    validationText,
    wrapperClass
  };
  if (placeholder) {
    return /* @__PURE__ */ import_react3.default.createElement(InputContainer, { ...containerProps }, /* @__PURE__ */ import_react3.default.createElement(
      "textarea",
      {
        ...attributes,
        ...extraAttributes,
        ...sharedAttributes,
        className: inputClasses,
        placeholder,
        "data-testid": testId
      }
    ));
  }
  if (normalized) {
    return /* @__PURE__ */ import_react3.default.createElement(InputContainer, { ...containerProps }, /* @__PURE__ */ import_react3.default.createElement(
      "textarea",
      {
        ...attributes,
        ...extraAttributes,
        ...sharedAttributes,
        className: inputClasses,
        readOnly: true,
        "data-testid": testId
      }
    ));
  }
  if (label || validationText) {
    return /* @__PURE__ */ import_react3.default.createElement(InputContainer, { ...containerProps }, /* @__PURE__ */ import_react3.default.createElement(
      "textarea",
      {
        ...attributes,
        ...extraAttributes,
        ...sharedAttributes,
        className: inputClasses,
        "data-testid": testId
      }
    ));
  }
  return /* @__PURE__ */ import_react3.default.createElement(
    "textarea",
    {
      ...attributes,
      ...extraAttributes,
      className: inputClasses,
      ...sharedAttributes,
      ref: innerRef,
      "data-testid": testId
    }
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  TextArea
});
//# sourceMappingURL=TextArea.cjs.map