import React from 'react';
import { Dropdown } from '../Dropdown/Dropdown';
import { DropdownMenu } from '../Dropdown/DropdownMenu';
import { DropdownToggle } from '../Dropdown/DropdownToggle';
import classNames from 'classnames';
export const MegamenuItem = ({ itemName, className, children, ...attributes }) => {
    const classes = classNames(className, 'megamenu');
    const toggleClasses = classNames('px-lg-2', 'px-xl-3');
    return (React.createElement(Dropdown, { tag: 'li', className: classes, ...attributes, inNavbar: true },
        React.createElement(DropdownToggle, { caret: true, className: toggleClasses, inNavbar: true },
            React.createElement("span", null, itemName)),
        React.createElement(DropdownMenu, null,
            React.createElement("div", { className: 'megamenu pb-5 pt-3 py-lg-0' }, children))));
};
//# sourceMappingURL=MegamenuItem.js.map