"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Notification/Notification.tsx
var Notification_exports = {};
__export(Notification_exports, {
  Notification: () => Notification
});
module.exports = __toCommonJS(Notification_exports);
var import_react = __toESM(require("react"), 1);
var import_react_toastify = require("react-toastify");
var dummyTransition = /* @__PURE__ */ (0, import_react_toastify.cssTransition)({ enter: "", exit: "" });
var Notification = (props) => {
  const { toastRef, eventHandlers } = (0, import_react_toastify.useToast)({
    ...props,
    transition: dummyTransition
  });
  const { children, autoClose, onClick, role, toastId, deleteToast, closeToast, isIn } = props;
  const customStyle = {
    display: isIn ? "block" : "none"
  };
  (0, import_react.useEffect)(() => {
    if (!isIn)
      deleteToast();
  }, [isIn]);
  (0, import_react.useEffect)(() => {
    let timer;
    if (autoClose) {
      timer = setTimeout(() => closeToast(), autoClose);
    }
    return () => {
      if (timer != null) {
        clearTimeout(Number(timer));
      }
    };
  }, [autoClose, closeToast]);
  return /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      id: toastId,
      onClick,
      ...eventHandlers,
      style: customStyle,
      ref: toastRef,
      ...isIn && { role }
    },
    children
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Notification
});
//# sourceMappingURL=Notification.cjs.map