"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Notification/NotificationManager.tsx
var NotificationManager_exports = {};
__export(NotificationManager_exports, {
  NotificationManager: () => NotificationManager
});
module.exports = __toCommonJS(NotificationManager_exports);
var import_react4 = __toESM(require("react"), 1);
var import_react_toastify2 = require("react-toastify");

// src/Notification/Notification.tsx
var import_react = __toESM(require("react"), 1);
var import_react_toastify = require("react-toastify");
var dummyTransition = /* @__PURE__ */ (0, import_react_toastify.cssTransition)({ enter: "", exit: "" });
var Notification = (props) => {
  const { toastRef, eventHandlers } = (0, import_react_toastify.useToast)({
    ...props,
    transition: dummyTransition
  });
  const { children, autoClose, onClick, role, toastId, deleteToast, closeToast, isIn } = props;
  const customStyle = {
    display: isIn ? "block" : "none"
  };
  (0, import_react.useEffect)(() => {
    if (!isIn)
      deleteToast();
  }, [isIn]);
  (0, import_react.useEffect)(() => {
    let timer;
    if (autoClose) {
      timer = setTimeout(() => closeToast(), autoClose);
    }
    return () => {
      if (timer != null) {
        clearTimeout(Number(timer));
      }
    };
  }, [autoClose, closeToast]);
  return /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      id: toastId,
      onClick,
      ...eventHandlers,
      style: customStyle,
      ref: toastRef,
      ...isIn && { role }
    },
    children
  );
};

// src/Notification/NotificationContent.tsx
var import_react3 = __toESM(require("react"), 1);
var import_classnames = __toESM(require("classnames"), 1);

// src/Notification/usePosition.tsx
var import_react2 = require("react");
var PositionContext = /* @__PURE__ */ (0, import_react2.createContext)(void 0);

// src/Notification/NotificationContent.tsx
var getBorderStyleFix = (fix) => {
  const borderReset = ["top", "bottom", "right", "left"].filter((curPosition) => fix === "left" ? curPosition !== "right" : curPosition !== "left").map(
    (borderPosition) => `border${borderPosition[0].toUpperCase() + borderPosition.substring(1)}`
  );
  const customStyle = {};
  for (const borderPos of borderReset) {
    customStyle[borderPos] = "none";
  }
  return customStyle;
};

// src/Notification/NotificationManager.tsx
var KitTransition = /* @__PURE__ */ (0, import_react_toastify2.cssTransition)({
  enter: `d-block`,
  exit: `d-none`,
  appendPosition: false
});
var NotificationManager = (props) => {
  const customStyle = {
    ...props.style,
    ...getBorderStyleFix(props.fix)
  };
  const hookProps = {
    autoClose: props.duration ?? 6e3,
    closeOnClick: props.closeOnClick ?? true,
    hideProgressBar: true,
    transition: KitTransition,
    rtl: false,
    pauseOnHover: true,
    pauseOnFocusLoss: true,
    newestOnTop: false,
    // TODO: sort this out
    draggable: false,
    role: "alert",
    style: customStyle,
    enableMultiContainer: props.containerId != null
    // enable multi container when an explicit id is passed
  };
  const { getToastToRender, containerRef, isToastActive } = (0, import_react_toastify2.useToastContainer)(hookProps);
  const { containerId, style, fix } = props;
  return /* @__PURE__ */ import_react4.default.createElement(PositionContext.Provider, { value: fix }, /* @__PURE__ */ import_react4.default.createElement("div", { ref: containerRef, id: containerId, style }, getToastToRender((_, toastList) => {
    return toastList.map(({ content, props: toastProps }) => {
      return /* @__PURE__ */ import_react4.default.createElement(
        Notification,
        {
          ...toastProps,
          isIn: isToastActive(toastProps.toastId),
          key: `notification-${toastProps.key}`
        },
        content
      );
    });
  })));
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  NotificationManager
});
//# sourceMappingURL=NotificationManager.cjs.map