import { toast } from 'react-toastify';
import { createNotification } from './NotificationContent';
export function notify(title, bodyOrOptions, options) {
    let body = isReactChild(bodyOrOptions) ? bodyOrOptions : undefined;
    const safeOptions = isReactChild(bodyOrOptions) ? { ...options } : bodyOrOptions || {};
    const NotificationContent = createNotification(title, body, safeOptions);
    const internalOptions = {
        ...safeOptions,
        autoClose: safeOptions.duration
    };
    return toast(NotificationContent, internalOptions);
}
function isReactChild(el) {
    return el != null && (typeof el === 'string' || typeof el === 'number' || 'type' in el);
}
notify.dismiss = (id) => toast.dismiss(id);
//# sourceMappingURL=core.js.map