"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Progress/Progress.tsx
var Progress_exports = {};
__export(Progress_exports, {
  Progress: () => Progress
});
module.exports = __toCommonJS(Progress_exports);
var import_react = __toESM(require("react"), 1);
var import_classnames = __toESM(require("classnames"), 1);
var import_is_number = __toESM(require("is-number"), 1);

// src/utils.tsx
var logError = (message) => {
  if (typeof console !== "undefined") {
    if (console.error) {
      console.error(message);
    } else {
      console.log(message);
    }
  }
};

// src/Progress/Progress.tsx
var Progress = ({
  wrapperClassName,
  className,
  tag = "div",
  value,
  label,
  indeterminate = false,
  color,
  testId,
  role = "progressbar",
  ...attributes
}) => {
  const Tag = tag;
  if (!(0, import_is_number.default)(value) && !indeterminate) {
    logError(`The passed "value" is not a valid number. You passed "${value}"`);
  }
  const numericValue = Number(value);
  const wrapperClasses = (0, import_classnames.default)("progress-bar-wrapper");
  const secondaryWrapperClasses = (0, import_classnames.default)(wrapperClassName === true ? className : wrapperClassName, "progress", {
    "progress-indeterminate": indeterminate,
    "progress-color": color
  });
  const classes = (0, import_classnames.default)(className, "progress-bar", {
    [`bg-${color}`]: color
  });
  if (label && numericValue) {
    return /* @__PURE__ */ import_react.default.createElement(Tag, { className: wrapperClasses, "data-testid": testId }, /* @__PURE__ */ import_react.default.createElement("div", { className: "progress-bar-label" }, /* @__PURE__ */ import_react.default.createElement("span", { className: "visually-hidden" }, label), numericValue + "%"), /* @__PURE__ */ import_react.default.createElement(Tag, { className: secondaryWrapperClasses }, /* @__PURE__ */ import_react.default.createElement(
      "div",
      {
        ...attributes,
        className: classes,
        role: "progressbar",
        style: { width: numericValue + "%" },
        "aria-valuenow": numericValue,
        "aria-valuemin": 0,
        "aria-valuemax": 100
      }
    )));
  }
  return /* @__PURE__ */ import_react.default.createElement(Tag, { className: secondaryWrapperClasses, "data-testid": testId }, /* @__PURE__ */ import_react.default.createElement("div", { className: "progress-bar-label" }, /* @__PURE__ */ import_react.default.createElement("span", { className: "visually-hidden" }, label)), /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      ...attributes,
      className: classes,
      role: "progressbar",
      style: { width: numericValue + "%" },
      "aria-valuenow": numericValue,
      "aria-valuemin": 0,
      "aria-valuemax": 100
    }
  ));
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Progress
});
//# sourceMappingURL=Progress.cjs.map