"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Section/Section.tsx
var Section_exports = {};
__export(Section_exports, {
  Section: () => Section
});
module.exports = __toCommonJS(Section_exports);
var import_react = __toESM(require("react"), 1);
var import_classnames = __toESM(require("classnames"), 1);

// src/utils.tsx
var logError = (message) => {
  if (typeof console !== "undefined") {
    if (console.error) {
      console.error(message);
    } else {
      console.log(message);
    }
  }
};
var messages = {};
var notifyDeprecation = (message, options = { once: true }) => {
  if (!options.once) {
    logError(message);
  } else {
    if (!messages[message]) {
      logError(message);
      messages[message] = 1;
    }
  }
};

// src/Section/Section.tsx
var Section = ({
  color,
  image,
  testId,
  wrapperClassName,
  className,
  children,
  neutral,
  muted,
  ...rest
}) => {
  const classes = (0, import_classnames.default)("section", wrapperClassName === true ? className : wrapperClassName, {
    [`section-${color}`]: color,
    "section-image": image
  });
  if (neutral || muted) {
    notifyDeprecation(
      `Please use the prop "color" instead of the "${neutral ? "neutral" : "muted"}" for the Section component.`
    );
  }
  const deprecatedClasses = (0, import_classnames.default)({
    "section-neutral": neutral,
    "section-muted": muted
  });
  const innerClasses = (0, import_classnames.default)("section-content", className);
  const styleClass = {
    backgroundImageClass: image ? { backgroundImage: `url(${image})` } : {}
  };
  const finalWrapperClassName = (0, import_classnames.default)(classes, deprecatedClasses);
  return /* @__PURE__ */ import_react.default.createElement("div", { className: finalWrapperClassName, style: styleClass.backgroundImageClass, "data-testid": testId, ...rest }, /* @__PURE__ */ import_react.default.createElement("div", { className: innerClasses }, children));
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Section
});
//# sourceMappingURL=Section.cjs.map