"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils.tsx
var utils_exports = {};
__export(utils_exports, {
  flushMessageCache: () => flushMessageCache,
  logError: () => logError,
  mapToCssModules: () => mapToCssModules,
  noop: () => noop,
  notifyDeprecation: () => notifyDeprecation,
  omit: () => omit,
  pick: () => pick
});
module.exports = __toCommonJS(utils_exports);
var noop = () => {
};
var logError = (message) => {
  if (typeof console !== "undefined") {
    if (console.error) {
      console.error(message);
    } else {
      console.log(message);
    }
  }
};
var flushMessageCache = () => {
  for (const key in messages) {
    delete messages[key];
  }
};
var messages = {};
var notifyDeprecation = (message, options = { once: true }) => {
  if (!options.once) {
    logError(message);
  } else {
    if (!messages[message]) {
      logError(message);
      messages[message] = 1;
    }
  }
};
function mapToCssModules(className, cssModules) {
  let finalClassNames = className == null ? "" : className;
  if (!cssModules) {
    return finalClassNames;
  }
  return finalClassNames.split(" ").map((klass) => cssModules[klass] ?? klass).join(" ");
}
function pick(obj, keys) {
  const keysArray = Array.isArray(keys) ? keys : [keys];
  const newObj = {};
  for (const key of keysArray) {
    if (key in obj) {
      newObj[key] = obj[key];
    }
  }
  return newObj;
}
function omit(obj, keys) {
  const keysLookup = new Set(Array.isArray(keys) ? keys : [keys]);
  const newObj = {};
  for (const key in obj) {
    if (!keysLookup.has(key)) {
      newObj[key] = obj[key];
    }
  }
  return newObj;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  flushMessageCache,
  logError,
  mapToCssModules,
  noop,
  notifyDeprecation,
  omit,
  pick
});
//# sourceMappingURL=utils.cjs.map